## org.apache.commons.collections
Interface ResettableListIterator

All Superinterfaces:
  Iterator, ListIterator, ResettableIterator

All Known Implementing Classes:
  ArrayListIterator, EmptyListIterator, ObjectArrayListIterator, SingletonListIterator

public interface ResettableListIterator
extends ListIterator, ResettableIterator

Defines a list iterator that can be reset back to an initial state.

This interface allows an iterator to be repeatedly reused.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.4 $ $Date: 2004/02/18 01:15:42 $
Author:
  Stephen Colebourne

Method Summary
`void` `reset()` Resets the iterator back to the position at which the iterator was created.

Methods inherited from interface java.util.ListIterator
`add, hasNext, hasPrevious, next, nextIndex, previous, previousIndex, remove, set`

Method Detail

### reset

    public void reset()

  Resets the iterator back to the position at which the iterator was created.

  Specified by:
    `reset` in interface `ResettableIterator`

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.